Entware-3x - новые репозитории Entware для устройств, использующих новые ядра.

Используем пакеты, расширяющие возможности оборудования
Vladimir
Сообщения: 37
Зарегистрирован: 28 янв 2016, 13:07

Сообщение Vladimir » 04 мар 2017, 14:44

Спасибо за развёрнутый ответ ! Буду пробовать переустановку.

Vladimir
Сообщения: 37
Зарегистрирован: 28 янв 2016, 13:07

Сообщение Vladimir » 04 мар 2017, 21:22

Этот опробован.
ссылка не активна(

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1188
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 04 мар 2017, 21:47

Это не ссылка, а подчеркнутый текст. Команда обновления "либ" состоит из одной строки, см. текст сообщения.

Vladimir
Сообщения: 37
Зарегистрирован: 28 янв 2016, 13:07

Сообщение Vladimir » 05 мар 2017, 08:55

Вот что получилось после переустановки всех файлов начинающихся на lib

Код: Выделить всё

Installing libnfnetlink (1.0.1-1) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/libnfnetlink_1.0.1-1_mipsel-3x.ipk.
wget: error while loading shared libraries: libc.so.0: cannot open shared object file: No such file or directory
Installing libogg (1.3.2-2) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/libogg_1.3.2-2_mipsel-3x.ipk.
wget: error while loading shared libraries: libc.so.0: cannot open shared object file: No such file or directory
Installing libopenssl (1.0.2k-1) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/libopenssl_1.0.2k-1_mipsel-3x.ipk.
wget: error while loading shared libraries: libc.so.0: cannot open shared object file: No such file or directory
Installing libopus (1.1.3-2) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/libopus_1.1.3-2_mipsel-3x.ipk.
wget: error while loading shared libraries: libc.so.0: cannot open shared object file: No such file or directory
Installing libpcap (1.8.1-1) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/libpcap_1.8.1-1_mipsel-3x.ipk.
wget: error while loading shared libraries: libc.so.0: cannot open shared object file: No such file or directory
Collected errors:
 * opkg_download: Failed to download http://entware-3x.zyxmon.org/binaries/mipsel/libnfnetlink_1.0.1-1_mipsel-3x.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libnfnetlink. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package libnfnetlink.
 * opkg_download: Failed to download http://entware-3x.zyxmon.org/binaries/mipsel/libogg_1.3.2-2_mipsel-3x.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libogg. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package libogg.
 * opkg_download: Failed to download http://entware-3x.zyxmon.org/binaries/mipsel/libopenssl_1.0.2k-1_mipsel-3x.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libopenssl. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package libopenssl.
 * opkg_download: Failed to download http://entware-3x.zyxmon.org/binaries/mipsel/libopus_1.1.3-2_mipsel-3x.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libopus. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package libopus.
 * opkg_download: Failed to download http://entware-3x.zyxmon.org/binaries/mipsel/libpcap_1.8.1-1_mipsel-3x.ipk, wget returned 127.
 * opkg_install_pkg: Failed to download libpcap. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package libpcap.
xargs: opkg: exited with status 255; aborting

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1188
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 05 мар 2017, 09:04

Наверняка Вы ставили пакет wget. А он стандартно ломается при обновлении libopenssl и других библиотек. Я писал, что wget следует устанавливать осторожно.
Временно почините с помощью

Код: Выделить всё

rm -f /opt/bin/wget
ln -s /opt/bin/busybox /opt/bin/wget

Когда остальное заработает,переустановите wget!

All Еще раз - если Вы ставите пакет wget, то знайте, как восстановить его!!!

Vladimir
Сообщения: 37
Зарегистрирован: 28 янв 2016, 13:07

Сообщение Vladimir » 05 мар 2017, 10:01

 
Socket Buffers: R=[87380->87380] S=[16384->16384]
Mar 05 10:08:03openvpn[8204]TCP/UDP: Socket bind failed on local address [AF_INET][undef]:443: Address already in use
Mar 05 10:08:03openvpn[8204]Exiting due to fatal error
Mar 05 10:08:03openvpn[8204]Closing TUN/TAP interface
Mar 05 10:08:03openvpn[8204]/opt/sbin/ifconfig tun0 0.0.0.0
Mar 05 10:08:03ipsec11[KNL] 10.8.0.1 disappeared from tun0
Mar 05 10:08:03ipsec06[KNL] interface tun0 deactivated
Mar 05 10:08:03ipsec09[KNL] interface tun0 deleted
Mar 05 10:08:03rootFailed to start openvpn from .
Mar 05 10:08:03sshd[8211]error: Bind to port 79 on 0.0.0.0 failed: Address already in use.
Mar 05 10:08:03sshd[8211]error: Bind to port 79 on :: failed: Address already in use.
Mar 05 10:08:03sshd[8211]fatal: Cannot bind any address.
Mar 05 10:08:04rootFailed to start darkstat from .
Mar 05 10:08:04rootFailed to start minidlna from .
Mar 05 10:08:04ndmOpkg::Manager: /opt/etc/init.d/rc.unslung: exit code 255.
Mar 05 10:08:04ndmCore::Server: started Session /var/run/ndm.core.socket.
Mar 05 10:08:05ndm
Свернуть

Работу wget восстановил.Ввел команду для обновления файлов lib которую вы указали ,библиотеки переустановились без error. ;))перезагрузил роутер,но проблема никуда не ушла ,openvpn dead minidlna dead

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1188
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 05 мар 2017, 11:37

Vladimir писал(а):Источник цитаты openvpn dead minidlna dead

Я же вчера писал, как диагностировать. Дальше вопросы в темах по minidlna и openvpn, если сами не разберетесь. Подозреваю, что Вы много месяцев не обновлялись и изменеия не только в либах за это время произошли.

Cryologic
Сообщения: 17
Зарегистрирован: 13 авг 2016, 17:23

Сообщение Cryologic » 05 мар 2017, 17:33

В Андроидах у меня ядро 3.4. Можно по сути установить Entware-3x?
Какие преимущества и недостатки перед Linux Deploy?

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1188
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 05 мар 2017, 20:43

Cryologic писал(а):Источник цитаты В Андроидах у меня ядро 3.4. Можно по сути установить Entware-3x?

А почему сомневаетесь?
Cryologic писал(а):Источник цитаты Какие преимущества и недостатки перед Linux Deploy?

Без понятия.

Pasha_ZZZ
Сообщения: 38
Зарегистрирован: 31 окт 2015, 10:29

Сообщение Pasha_ZZZ » 09 мар 2017, 14:46

Почему-то перестала корректно работать команда opkg update. Для armv7 она скачивает файл /opt/var/opkg-lists/packages размером 125280, хотя браузером по выдаваемому командой адресу http://entware-3x.zyxmon.org/binaries/armv7/Packages.gz скачивается файл размером 280895. И после update все команды завершаются с ошибкой

Код: Выделить всё

* parse_from_stream_nomalloc: Excessively long line at 9. Corrupt file?
Если заменить файл на скачанный вручную - все работает (до следующего update).


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 3 посетителя :: 1 зарегистрированный, 0 скрытых и 2 гостя (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (121) здесь было 18 май 2016, 18:19

Сейчас этот форум просматривают: CommonCrawl [Bot] и 2 гостя